// Development specific configuration
// ==================================
const development = {
  openHttpPort: 7590, // порт, на котором программа будет принимать входящие чеки
  keyPassphrase: '1234', // ключ от сертификата
  host: process.env.OD_HOST || 'apip.orangedata.ru', // адрес сервиса OrangeData
  port: process.env.OD_PORT || 2443, // порт сервиса OrangeData
  baseUrl: process.env.OD_BASE_URL || 'api/v2', // URL API
  organization: {
    inn: '7725713770', // ИНН организации из под которой проводятся чеки. "7725713770" - тестовая организация
    // система налогообложения, 1055: 0 - общая (ОСН), 1 - УСН доход, 2 - УСН доход-расход, 3 - ЕНВД, 4 - ЕСН, 5 - патент
    taxationSystem: 0,
  },
  log: {
    level: 'debug', // 'error' только ошибки; плюс предупреждения 'warn'; 'info' плюс информация; 'debug' плюс отладочные сообщения
    path: './logs/dev.log',
    maxSize: 5242880, // 5 MB
    maxFiles: 5
  },
  db: { // настройки подключения к базе Premiera Firebird
    host: '127.0.0.1',
    port: 3050,
    database: 'C:\\Kinoplan\\Bases\\PREMIERA.FDB',
    user: 'SYSDBA',
    password: 'masterkey',
  }
};

module.exports = development;
