const srv = require('node-windows');
const Service = srv.Service;
const path = require('path');

// Create a new service object
var svc = new Service({
    name:'Kinoplan Премьера: OrangeData Node',
    description: 'Сервис по взаимодействию с облачным фискальным сервисом OrangeData',
    script: path.join(__dirname, './index.js')
});

// Listen for the "install" event, which indicates the
// process is available as a service.
svc.on('install',function(){
    svc.start();
});

svc.on('uninstall',function(){
    console.log('Сервис «'+svc.name+'» успешно удален.');
});

// Listen for the "start" event and let us know when the
// process has actually started working.
svc.on('start',function(){
    console.log('Сервис «'+svc.name+'» успешно установлен.');
});

// Install the script as a service.
if (process.argv[2]=='-install') {
    svc.install();
}
else if (process.argv[2]=='-uninstall') {
    svc.uninstall();
}
else {
    console.log('Неизвестная команда!')
}